changeset 1052:1ddd199ba25f

Update hello world example native build.
author Rob Landley <rob@landley.net>
date Mon, 03 May 2010 09:05:35 -0500
parents a134d8bc8768
children 44adac49d1b1
files sources/native-builds/hello-world.sh
diffstat 1 files changed, 7 insertions(+), 11 deletions(-) [+]
line wrap: on
line diff
--- a/sources/native-builds/hello-world.sh	Mon May 03 09:04:47 2010 -0500
+++ b/sources/native-builds/hello-world.sh	Mon May 03 09:05:35 2010 -0500
@@ -7,17 +7,8 @@
 
 source sources/include.sh || exit 1
 
-if [ $# -ne 1 ]
-then
-  echo "usage: $0 FILENAME" >&2
-  exit 1
-fi
-
-if [ -e "$1" ]
-then
-  echo "$1" exists
-  exit 0
-fi
+[ $# -ne 1 ] && echo "usage: $0 FILENAME" >&2 && exit 1
+[ -e "$1" ] && echo "$1 exists" && exit 0
 
 # Set up working directories
 
@@ -33,6 +24,11 @@
 gcc -lpthread /usr/src/thread-hello2.c -o hello &&
 ./hello
 
+# Upload our hello world file to the output directory (named hello-$ARCH).
+# No reason, just an example.
+
+ftpput 10.0.2.2 -P $OUTPORT hello-"$ARCH" hello
+
 sync
 
 EOF